<?php
include_once('common/delegate.php');
include_once('common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Change password</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    <body>
<?php
	define('SECTION', 'changePassword');
	include_once("common/header.php");
	include_once("common/mainbar.php");
	print showErrorAndMessagesLogs();
?>
        
<div class="current_date">Current date: &nbsp; <b><?=getDateAndTime()?></b></div>
<hr />

<div class="page_title">Change password</div>
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="post">
        	<input type="hidden" name="action" value="doChangePasswordExe" />
            <table cellpadding="0" cellspacing="3" class="form_style">
                <tr>
                    <th>Old password</th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="password" name="oldPass" size="20"></td>
                </tr> 
                <tr>
                    <th>New password</th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="password" name="newPass" size="20"></td>
                </tr>
                <tr>
                    <th>Repeat new password</th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="password" name="newPass2" size="20"></td>
                </tr>
                <tr>
                    <th>&nbsp;</th>
                    <td>&nbsp;</td>
                    <td align="right"><input type="submit" value="Change" class="submit_button"></td>
                </tr>
                <tr>
                   <td class="required_field_info"><span class="required_field">*</span>&nbsp;mandatory field</td>
                </tr>
            </table>
        </form>
    
		<!-- FOOTER -->
        <?include_once("common/footer.php");?>
    </body>
</html>