<?php
/**
 * @project		TimeTracker
 * @copyright	22Plus Network (www.22plus.net)
 * @since 		13.04.2008
 * 
 * @developers	Agheorghiesei Liviu-Andrei
 */

@session_start();
################################################################################
### Private settings for this page #############################################


//include_once("../common/settings.default.php");
//include_once("../common/serverroot.php");
include_once("utils.php");

define(SERVER_ROOT, $_SESSION['SERVER_ROOT']);

// Start the session
session_start();

if($_GET['step'] != 4 AND file_exists("../common/settings.php")) { 
	print "The applications is already installed!";
	exit();
}

################################################################################
##

// Try to change files right
@chmod("../common/settings.php", 0777);
@chmod("../install/index.php", 0777);

clearstatcache();
$errors			=	0;
$extensions		=	get_loaded_extensions();
$currentStep	=	(is_numeric($_GET['step'])) ? $_GET['step'] : 1;  

/**
 * type:	1)	phpVersion
 * 			2)	int			-	ini_get
 * 			3)	ext			-	extension	
 * 			4)	dir			-	directory
 * 			5)	fil			-	file
 */
$list	=	array(
					array	(
								"name"		=>	"PHP Version",
								"type"		=>	"phpVersion",
								"request"	=>	"5+",
								"current"	=>	phpversion()
							),

					array	(
								"name"		=>	"PHP Register Globals",
								"type"		=>	"ini",
								"request"	=>	"off",
								"current"	=>	(ini_get('register_globals') == 1) ? "on" : "off",
							),
								
					array	(
								"name"		=>	"PHP Short Open Tags",
								"type"		=>	"ini",
								"request"	=>	"on",
								"current"	=>	(ini_get('short_open_tag') == 1) ? "on" : "off",
							),
/* DEPRECATED
					array	(
								"name"		=>	"Zip Extension Module",
								"type"		=>	"ext",
								"request"	=>	"true",
								"current"	=>	(is_numeric(array_search('zip', $extensions))) ? "true" : "false",
							),
								
					array	(
								"name"		=>	"ZLib Extension Module",
								"type"		=>	"ext",
								"request"	=>	"true",
								"current"	=>	(is_numeric(array_search('zlib', $extensions))) ? "true" : "false",
							),

					array	(
								"name"		=>	"GD (Gif Draw) Extension Module",
								"type"		=>	"ext",
								"request"	=>	"true",
								"current"	=>	(is_numeric(array_search('gd', $extensions))) ? "true" : "false",
							),
*/
					array	(
								"name"		=>	"MySQL Extension Module",
								"type"		=>	"ext",
								"request"	=>	"true",
								"current"	=>	(is_numeric(array_search('mysql', $extensions))) ? "true" : "false",
							),
/*
					array	(
								"name"		=>	"CHMOD 777 > /install/<b>index.php</b>",
								"type"		=>	"fil",
								"request"	=>	"true",
								"current"	=>	(is_writable("../install/index.php")) ? "true" : "false",
							),
*/
					array	(
								"name"		=>	"CHMOD 777 > /<b>common</b>",
								"type"		=>	"fil",
								"request"	=>	"true",
								"current"	=>	(is_writable("../common")) ? "true" : "false",
							)
				);

################################################################################
### DATA BASE ##################################################################


class StepThree {
	public $host;
	public $dbname;
	public $username;
	public $password;
	
	public $companyName;
	public $firstDayOfWeek;
	
	public $adminName;
	public $adminEmail;
	public $adminPassword;
}


if($_POST['stepThree']) {
	
	$serverRoot		=	$_SESSION['SERVER_ROOT'];
	
	$host			=	trim($_POST['host']);
	$dbname			=	trim($_POST['dbname']);
	$username		=	trim($_POST['username']);
	$password		=	trim($_POST['password']);
	
	$companyName	=	addslashes(trim($_POST['company_name']));
	$firstDayOfWeek	=	addslashes(trim($_POST['first_day_of_week']));
	
	$adminName		=	addslashes(trim($_POST['admin_name']));
	$adminEmail		=	addslashes(trim($_POST['admin_email']));
	$adminPass		=	addslashes(trim($_POST['admin_pass']));
	
	
	$sqlFile		=	"schema.sql";
	$sqlDelimiter	=	";";	
	$errors			=	false;
	
	$stepThree = new StepThree;
	$stepThree->host			=	$host;
	$stepThree->dbname			=	$dbname;
	$stepThree->username		=	$username;
	$stepThree->password		=	$password;
	$stepThree->companyName		=	$companyName;
	$stepThree->firstDayOfWeek	=	$firstDayOfWeek;
	$stepThree->adminName		=	$adminName;
	$stepThree->adminEmail		=	$adminEmail;
	$stepThree->adminPassword	=	$adminPass;
	
	$_SESSION['tmpData'] = $stepThree;
	
	if(empty($companyName) OR empty($firstDayOfWeek)) {
		$_SESSION['errors'][] = "Please complete company informations!";
		$errors = true;
	}
		
	if(empty($adminEmail) OR empty($adminPass) OR empty($adminName)) {
		$_SESSION['errors'][] = "Please complete admin informations!";
		$errors = true;
	}
	
	// If no errors
	if($errors == false) {
		// Connect to DB
		$connectionDb	= @mysql_connect($host, $username, $password);
		$selectDb		= @mysql_select_db($dbname);
		
		// If connected
		if($selectDb == 1) {
		
			$query = @fread(@fopen($sqlFile, 'r'), @filesize($sqlFile));
		
			$query = splitSqlFile($query, $sqlDelimiter);
		
			for ($i = 0; $i < sizeof($query); $i++) {
				if (trim($query[$i]) != '') {
					if (!($result = mysql_query($query[$i], $connectionDb))) {
						$_SESSION['errors'][] = "Schema.sql failed executed!";
						$errors = true;
					}
				}
			}
			
			// Add settings into DB
			$queryInsert = "INSERT INTO `settings` (`settings_key`, `settings_value`)
			VALUES('company_name', '{$companyName}'),"
				."('first_day_of_week', '{$firstDayOfWeek}');";
				
			@mysql_query($queryInsert, $connectionDb);
			unset($queryInsert);
			
			// Add master admin into DB
			$queryInsert = "INSERT INTO `user` (`user_name`, `user_password`, `user_email`, `user_createdate`, `user_status`, `user_level`)
			VALUES('{$adminName}', '{$adminPass}', '{$adminEmail}', NOW(), 1, 3);";
			
			if(!(mysql_query($queryInsert, $connectionDb))) {
				$errors = true;
				$_SESSION['messages'][] = "Master Admin failed added!";
			} else {
				$_SESSION['messages'][] = "Master Admin successfully added!";
			}
			
			

			// If errors
			if($errors == true) {

			// If NO errors
			} else {

				// If settings.php was writed
				if(writeSettings($serverRoot, $host, $username, $password, $dbname) == true) {
					$_SESSION['messages'][] = "DB Successfully installed!";

				// If wasn't writed
				} else {
					$_SESSION['errors'][] = "Can't write settings.php !";
					$errors = true;
				}
			}

		// If can't connect to DB
		} else {
			$_SESSION['errors'][] = "Error establishing a database connection!";
			$errors = true;
		}
	} // if errors

	if($errors == false) {
		finalPage();
		//header("Location: ". SERVER_ROOT ."/install/index.php?step=4");
		unset($_SESSION['tmpData']);
		exit();

	} else {
		header("Location: ". SERVER_ROOT ."/install/index.php?step=3");
		exit();
	}
}

################################################################################
################################################################################
				
?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="expires" content="0">
	<title>Time Tracker - Install</title>
	
	<link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
	<link href="style.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>
	

<table border="0" align="center" width="700px">
	<tr>
		<td>

<?php if($currentStep == 1) { ?>	
			<fieldset>
				    <legend style="font-family:sans-serif;"> <img src="<?=SERVER_ROOT?>/assets/images/logo_installer.png" border="0" style="vertical-align:top"/>&nbsp; &#187;  Install Page</legend>
					<div class="lenge-right-note">step 1/3</div><br />

                    <div class="install_page_title">Welcome to "Time Tracking"</div><br/><br/>
                        
					<table align="center" cellpadding="3" cellspacing="2" border="0" class="itemListTable">
						<tr class="itemsListHead" align="left">
							<td colspan="3">Welcome to "Time Tracking" Install Page</td>
						</tr>
                            
						<tr class="paging">
							<td colspan="3">
								Welcome to the install page! Using this tool you can install your application.
							</td>
						</tr>

						<!-- START: BUTTONS -->						
						<tr class="paging">
							<td>
								<table align="center" cellpadding="0" cellspacing="0" border="0" width="100%">
									<tr class="paging">
										<td align="center" width="33%">
										</td>
										
										<td align="center" width="33%">
<!--											<button class="button" style="width: 70px" type="button" onClick="JavaScript:location.reload(true);" >
												<span class="left">
													<span class="middle">
														<span class="right">
															<span>Refresh</span>
														</span>
													</span>
												</span>
											</button> -->
										</td>
					
										<td align="center" width="33%">
											<button class="button" style="width: 120px" type="button" onClick="JavaScript: document.location ='<?php print SERVER_ROOT;?>/install/index.php?step=<?php print $currentStep+1; ?>';" >
												<span class="left">
													<span class="middle">
														<span class="right">
															<span>Start</span>
														</span>
													</span>
												</span>
											</button>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<!-- END: BUTTONS -->
						
					</table>
					<br />
			</fieldset>
<?php 
}

if($currentStep == 2) { ?>
			<fieldset>
				     <legend style="font-family:sans-serif;"> <img src="<?=SERVER_ROOT?>/assets/images/logo_installer.png" border="0" style="vertical-align:top"/>&nbsp; &#187; Install Page</legend>
					<div class="lenge-right-note">step 2/3</div><br />
					
                    <div class="install_page_title">Requirements</div><br/><br/>
                     
					<table align="center" cellpadding="3" cellspacing="2" border="0" class="itemListTable">
						<tr class="itemsListHead" align="center">
							<td>Name / Description</td>
							<td align="center">Current</td>
							<td align="center">Needed</td>
							<td align="center">Status</td>
						</tr>
					<?php
						foreach($list as $itemKey => $item) {
							($itemKey%2 == 0) ? $tdClass = "itemListGreyTwo" : $tdClass = "itemListGreyOne";
							?>
								<tr class="<?php print $tdClass;?>" onMouseOver="this.className='itemListMouseOver'" onMouseOut="this.className='<?php print $tdClass;?>'">
									<td><?php print $item['name'];?></td>
									<td align="center"><?php print $item['current'];?></td>
									<td align="center"><?php print $item['request'];?></td>
									<td align="center">
									<?php
										switch ($item['type']) {
											case "phpVersion":
												($item['current'] >= intval($item['request'])) ? $icon = "ok" : $icon = "no"; 
												($item['current'] >= intval($item['request'])) ? "" : $errors++;
												break;
										
											default:
												($item['current'] == $item['request']) ? $icon = "ok" : $icon = "no";
												($item['current'] == $item['request']) ? "" : $errors++;
										}
									?><img src="../assets/images/<?php print $icon;?>.png" border="0">
									</td>
								</tr>
							<?php
						}
					
					
						if(extension_loaded('ionCube Loader')) {
					?>
					
					<tr class="itemListGreyOne" onMouseOver="this.className='itemListMouseOver'" onMouseOut="this.className='itemListGreyOne'">
						<td>IonCube Loader</td>
						<td align="center">true</td>
						<td align="center">true</td>
						<td align="center"></td>
					</tr>
					
					<?	} else { ?>
					<tr class="itemListGreyOne" onMouseOver="this.className='itemListMouseOver'" onMouseOut="this.className='itemListGreyOne'">
						<td>PHP enable_dl</td>
						<td align="center"><?=(ini_get('enable_dl') == 1) ? 'on' : 'off'?></td>
						<td align="center">on</td>
						<td align="center"><img src="../assets/images/<?=(ini_get('enable_dl') == 1) ? 'ok' : 'no'?>.png" border="0"></td>
					</tr>						
					<?	}	?>
					
						
							<?php if($errors > 0) {
								print "<tr class=\"paging\"><td colspan=\"4\" align=\"center\"><font color=\"red\"><b>Please correct the errors!</b></font></td></tr>";
							}
								?>
								
					<!-- START: BUTTONS -->						
					<tr class="paging">
						<td colspan="4">
							<table align="center" cellpadding="0" cellspacing="0" border="0" width="100%">
								<tr class="paging">
									<td align="center">
										<button class="button" style="width: 120px" type="button" onClick="JavaScript: document.location ='<?php print SERVER_ROOT;?>/install/index.php?step=<?php print $currentStep-1; ?>';" >
											<span class="left">
												<span class="middle">
													<span class="right">
														<span>Previous Step</span>
													</span>
												</span>
											</span>
										</button>
									</td>
									
									<td align="center" width="33%">
										<button class="button" style="width: 70px" type="button" onClick="JavaScript:location.reload(true);" >
											<span class="left">
												<span class="middle">
													<span class="right">
														<span>Refresh</span>
													</span>
												</span>
											</span>
										</button>
									</td>
				
									<td align="center">
										<?php if($errors > 0) {
											?>
												<button class="button" style="width: 120px" type="button" onClick="javascript: return false;" disabled="disabled">
											<?php
										} else {
											?>
												<button class="button" style="width: 120px" type="button" onClick="JavaScript: document.location ='<?php print SERVER_ROOT;?>/install/index.php?step=<?php print $currentStep+1; ?>';" >
											<?php
										}
										?>
										
											<span class="left">
												<span class="middle">
													<span class="right">
														<span>Next Step</span>
													</span>
												</span>
											</span>
										</button>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<!-- END: BUTTONS -->
					
					</table>
					<br />
					
			</fieldset>
<?php } 

if($currentStep == 3) { 

if(isset($_SESSION['tmpData'])) {
	$tmpData = $_SESSION['tmpData'];
	$_SESSION['tmpData'] = null;
	unset($_SESSION['tmpData']);
}
?>	
			<fieldset>
				     <legend style="font-family:sans-serif;"> <img src="<?=SERVER_ROOT?>/assets/images/logo_installer.png" border="0" style="vertical-align:top"/>&nbsp; &#187; Install Page</legend>
					<div class="lenge-right-note">step 3/3</div><br />
					
                    <div class="install_page_title">Settings</div><br/>
                     
					<?php print showErrorAndMessagesLogs();?><br />
					
					<form action="" method="post">
						<table align="center" cellpadding="3" cellspacing="2" border="0" class="itemListTable">
						
							<tr class="itemsListHead" align="left">
								<td>Database Connection</td>
							</tr>
							
							<tr class="paging">
								<td>
									<table align="center">
										
										<tr>
											<td>Database Host:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="host" value="<?=(!empty($tmpData->host)) ? $tmpData->host : 'localhost'?>" /><span class="required_field">*</span></td>
										</tr>
										
										<tr>
											<td>Database Name:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="dbname" value="<?=$tmpData->dbname?>" /><span class="required_field">*</span></td>
										</tr>
										
										<tr>
											<td>Username:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="username" value="<?=$tmpData->username?>" /><span class="required_field">*</span></td>
										</tr>
										
										<tr>
											<td>Password:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="password" value="<?=$tmpData->password?>" /></td>
										</tr>
									</table>
								</td>
							</tr>
							
							<!-- -->
							
							<tr class="itemsListHead" align="left">
								<td>Company informations</td>
							</tr>
							
							<tr class="paging">
								<td>
									<table align="center">
										
										<tr>
											<td>Company Name:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="company_name" value="<?=$tmpData->companyName?>" /><span class="required_field">*</span></td>
										</tr>
										
										<tr>
											<td>First day of week:</td>
											<td>&nbsp;&nbsp;</td>
											<td><select name="first_day_of_week" style="width: 155px">
													<option value="mon" <?=($tmpData->firstDayOfWeek == "mon") ? 'selected="selected"' : ""?>>Monday</option>
													<option value="sun" <?=($tmpData->firstDayOfWeek == "sun") ? 'selected="selected"' : ""?>>Sunday</option>
												</select><span class="required_field">*</span>
											</td>
										</tr>

									</table>
								</td>
							</tr>
														
							<!-- -->
							
							<tr class="itemsListHead" align="left">
								<td>Master Admin login information</td>
							</tr>
							
							<tr class="paging">
								<td>
									<table align="center">
										
										<tr>
											<td>Admin Name:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="admin_name" value="<?=$tmpData->adminName?>" /><span class="required_field">*</span></td>
										</tr>
										
										<tr>
											<td>Login Email:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="admin_email" value="<?=$tmpData->adminEmail?>" /><span class="required_field">*</span></td>
										</tr>

										<tr>
											<td>Login Password:</td>
											<td>&nbsp;&nbsp;</td>
											<td><input type="text" id="inputfield" name="admin_pass" value="<?=$tmpData->adminPassword?>" /><span class="required_field">*</span></td>
										</tr>
										
									</table>
								</td>
							</tr>
							
							<!-- START: BUTTONS -->						
							<tr class="paging">
								<td colspan="4">
									<table align="center" cellpadding="0" cellspacing="0" border="0" width="100%">
										<tr class="paging">
											<td align="center">
												<button class="button" style="width: 120px" type="button" onClick="JavaScript: document.location ='<?php print SERVER_ROOT;?>/install/index.php?step=<?php print $currentStep-1; ?>';" >
													<span class="left">
														<span class="middle">
															<span class="right">
																<span>Previous Step</span>
															</span>
														</span>
													</span>
												</button>
											</td>
											
											<td align="center" width="33%">
												<button class="button" style="width: 70px" type="button" onClick="JavaScript:location.reload(true);" >
													<span class="left">
														<span class="middle">
															<span class="right">
																<span>Refresh</span>
															</span>
														</span>
													</span>
												</button>
											</td>
						
											<td align="center">
													<button class="button" name="stepThree" value="true" style="width: 120px" type="submit" >
													<span class="left">
														<span class="middle">
															<span class="right">
																<span>Finish</span>
															</span>
														</span>
													</span>
												</button>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<!-- END: BUTTONS -->
							
							<tr>
								<td colspan="4">
								<span class="required_field">*</span> mandatory fields
								</td>
							</tr>

						</table>
						<br />
					</form>
			</fieldset>
<?php }

function finalPage() {	
	
	@session_destroy();
	@session_start();
	$_SESSION['messages'][] = 'Congratulation! The application was successfully installed!';
	
	// Log user in
	$_SESSION['userId']		= 1;
	$_SESSION['messages'][]	= 'Succesfull login!';
	
	// Set up the callendar dates
	$_SESSION['calendarYear']	=	date("Y");
	$_SESSION['calendarMonth']	=	date("m");
	$_SESSION['calendarDay']	=	date("j");
			
	@header('Location: '. SERVER_ROOT .'/daily/daily.php');
	exit();
	

}
?>
		</td>
	</tr>
</table>